powered by Jive Software

Erro Conexão MySQL: versão 4.4.2

Boa tarde.

Eu estou com problemas de conexão com o banco MySQL utilizando a versão do Openfire 4.4.2.
Ao tentar conectar retorna esse erro:

A connection to the database could not be made. View the error message by opening the "\logs\error.log" log file, then go back to fix the problem. 

Eu baixei a versão diretamente do site: 64-bit, Includes 64-bit Java JRE. E fiz a instalação. Na tela de configuração selecionei a opção de banco MySQL e preenchi os campos:
Classe do Driver JDBC: com.mysql.cj.jdbc.Driver
URL do banco de dados: jdbc:mysql://localhost:3306/openfire_spark?rewriteBatchedStatements=true&characterEncoding=UTF-8&characterSetResults=UTF-8

Estava pensando aqui, será que o erro ocorre devido a versão desatualizada que uso do MySQL (no caso a versão 5.1.41). Infelizmente ainda tenho que utilizar essa versão devido a um sistema antigo que tenho em PHP aqui. Acabei esquecendo de mencionar. Utilizo o XAMPP.

Obrigado.

I am getting this same error after doing an “rpm -U openfire.4.4…” from version 4.2.

I had to regress back to version 4.2